Package org.gradle.api.tasks.testing

# Interface TestTaskReports

All Superinterfaces:
  `Collection<Report>`, `org.gradle.util.Configurable<ReportContainer<Report>>`, `DomainObjectCollection<Report>`, `Iterable<Report>`, `NamedDomainObjectCollection<Report>`, `NamedDomainObjectSet<Report>`, `ReportContainer<Report>`, `Set<Report>`

public interface TestTaskReports extends ReportContainer<Report>
The reports produced by the `Test` task.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

`ReportContainer.ImmutableViolationException`

## Method Summary

Modifier and Type
Method
Description
`DirectoryReport`
`getHtml()`
A HTML report indicate the results of the test execution.
`JUnitXmlReport`
`getJunitXml()`
The test results in “JUnit XML” format.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface org.gradle.api.DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

`add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface org.gradle.api.reporting.ReportContainer

`getAsMap, getEnabled, getEnabledDirectoryReportDestinations, getEnabledFileReportDestinations, getEnabledReportNames, getNamer, getNames, getRules, isEmpty`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getHtml

DirectoryReport getHtml()
A HTML report indicate the results of the test execution.

Returns:
  The HTML report

### getJunitXml

JUnitXmlReport getJunitXml()
The test results in “JUnit XML” format.

Returns:
  The test results in “JUnit XML” format